#include "CageHookPoolComponent.h"
#include "UObject/NoExportTypes.h"
#include "Net/UnrealNetwork.h"

void UCageHookPoolComponent::Multicast_SpawnTrapBlocker_Implementation(const TArray<FTransform>& spawnLocations, const FVector& boxExtent)
{

}

void UCageHookPoolComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UCageHookPoolComponent, _releaseCageOnDeath);
}

UCageHookPoolComponent::UCageHookPoolComponent()
{
	this->_releaseCageOnDeath = false;
}
